# IERC20Transfer

## Properties

| Name                      | Type                                                       | Description | Notes       |
| ------------------------- | ---------------------------------------------------------- | ----------- | ----------- |
| **transaction\_hash**     | **str**                                                    |             |             |
| **contract**              | **str**                                                    |             |             |
| **log\_index**            | **str**                                                    |             |             |
| **var\_from**             | **str**                                                    |             |             |
| **to**                    | **str**                                                    |             |             |
| **value**                 | **str**                                                    |             |             |
| **token\_decimals**       | **str**                                                    |             |             |
| **token\_name**           | **str**                                                    |             |             |
| **token\_symbol**         | **str**                                                    |             |             |
| **value\_with\_decimals** | **str**                                                    |             | \[optional] |
| **triggers**              | [**List\[TriggerOutput\]**](/sdks/python/triggeroutput.md) |             | \[optional] |

## Example

```python
from moonsdk.models.ierc20_transfer import IERC20Transfer

# TODO update the JSON string below
json = "{}"
# create an instance of IERC20Transfer from a JSON string
ierc20_transfer_instance = IERC20Transfer.from_json(json)
# print the JSON string representation of the object
print IERC20Transfer.to_json()

# convert the object into a dict
ierc20_transfer_dict = ierc20_transfer_instance.to_dict()
# create an instance of IERC20Transfer from a dict
ierc20_transfer_form_dict = ierc20_transfer.from_dict(ierc20_transfer_dict)
```

[\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to README\]](/sdks/python.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/ierc20transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
